<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="AnExample.aspx.cs" Inherits="Installing" Title="Untitled Page" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table style="width: 97%">
        <tr>
            <td style="width: 100%" valign="middle">
                <h1>
                    Working with&nbsp; ChartingControl.net</h1>
            </td>
        </tr>
        <tr>
            <td style="width: 100%">
                This is a basic example of making a chart using the <strong>ChartCustomControl</strong>
                and the <strong>Northwind</strong> database that ships with <strong>SQL Server:</strong></td>
        </tr>
        <tr>
            <td style="width: 100%">
                <ol>
                    <li>Inside <strong>Visual Studio 2005</strong>, create a new website, and name it "<strong>Charting
                        Control Example</strong>".</li><li>In the <strong>Solution Explorer</strong> right-click the website and choose <strong>
                        Add New Item...</strong>.</li><li>Select <strong>Web Form</strong> and name it "<strong>Chart Form</strong>". Select
                        your preffered language and check Place Code in a separate file. Click <strong>Add</strong>.</li><li>In <strong>Solution Explorer</strong> right click the newly-added form and select
                        <strong>Set As Start Page</strong>.</li><li>Open the form in <strong>Design View</strong> and drag an <strong>SqlDataSorce</strong>
                        from the <strong>Data</strong> tab in the <strong>Toolbox</strong>. This will implicitly
                        be named SqlDataSource1.</li><li>Open the <strong>Smart Tag </strong>of SqlDataSource1 and hit <strong>Configure
                        DataSource... </strong>.</li><li>Hit "<strong>New Conection...</strong>", and configure it to point to the <strong>
                        Northwind</strong> database from your SQL Server.</li><li>Hit <strong>Next</strong> when asked wether to save the connection string to the application
                            configuration file.</li><li>Select "<strong>Specify a custom SQL statement or procedure</strong>" and hit Next.</li><li>Enter the following SQL statement: "<strong>SELECT TOP 15 SaleAmount, CompanyName,
                        OrderID FROM [Sales Totals by Amount] ORDER BY SaleAmount DESC</strong>"; if you
                        want you can use the "<strong>Test</strong>" button to see that there are no problems
                        with the query. </li>
                    <li>Drag a <strong>ChartCustomControl</strong> component from the <strong>ToolBox</strong>.
                        This will implicitly be named ChartCustomControl1; Right-click it and select <strong>
                            Properties</strong>.</li><li>The following steps will configure the chart control by chancing its default properties
                        in the <strong>Properties</strong> window. Change the <strong>SqlDataSourceID</strong> property to point to <strong>SqlDatSource1</strong>.</li><li>Select <strong>DataSeries</strong> in the Properties of the chart and click the
                        elipses button next to it. Remove all the <strong>Chartcontrol.DataItem</strong>
                        ellements but one. Set the str property of the remaining DataItem to "<strong>SaleAmount</strong>".</li><li>Set the <strong>Labels</strong> property of the chart to "<strong>Company Name</strong>".&nbsp;</li><li>Hit <strong>F5</strong> to <strong>Start debuging</strong>. Since this is the first
                        time you run this website, Visual Studio will complain about debugging not being
                        enabled; just leave the default settings and hit OK.&nbsp;</li></ol>
            </td>
        </tr>
        <tr>
            <td style="width: 100%">
                Here are some other properties of the chart control that can be set to make it more
                user-friendly:</td>
        </tr>
        <tr>
            <td style="width: 100%">
                <ol>
                    <li>Rename the instance by changing the <strong>
                            (ID)</strong> property into "<strong>mychart</strong>".</li><li>Set <strong>Height</strong> to 640.</li><li>Set <strong>GraphTitle</strong> to "<strong>Top 15 Sales</strong>".</li><li>Set <strong>XAxisLabel</strong> to "<strong>Company</strong>".</li><li>Set <strong>YAxisLabel</strong> to "<strong>Amount</strong>".</li><li>Set <strong>LabelsFont.Size</strong> to <strong>6</strong>.</li><li>Remove all the ColorItems from the <strong>Colors</strong> property; add a ColorItem
                        and set the color to <strong>Blue</strong>.</li><li>Set the <strong>BackColor</strong> to <strong>WhiteSmoke</strong>.</li><li>Set <strong>EllementOpacity</strong> to <strong>200</strong>.</li><li>Set <strong>Ellementspacing </strong>to <strong>0.6</strong>.</li></ol>
            </td>
        </tr>
        <tr>
            <td style="width: 100%">
            </td>
        </tr>
        <tr>
            <td style="width: 100%; text-align: center;">
                <asp:Image ID="Image1" runat="server" ImageUrl="~/gallery/tn_2.jpeg" /></td>
        </tr>
        <tr>
            <td style="width: 100%">
            </td>
        </tr>
    </table>
</asp:Content>

