<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Complex4.aspx.cs" Inherits="_1" Title="Untitled Page" %>

<%@ Register Assembly="ChartControl" Namespace="ChartControl" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <form runat="server" id="form1">
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>" SelectCommand="SELECT Employees.LastName AS Name, SUM(([Order Details].UnitPrice * [Order Details].Quantity) * (1 - [Order Details].Discount)) AS Total, Employees.EmployeeID FROM Orders INNER JOIN Employees ON Orders.EmployeeID = Employees.EmployeeID INNER JOIN [Order Details] ON Orders.OrderID = [Order Details].OrderID GROUP BY Employees.LastName, Employees.EmployeeID"></asp:SqlDataSource>
    &nbsp; &nbsp;
    <table style="width: 100%">
        <tr>
            <td align="center">
                Click on a column to display detailed information for the employee.</td>
        </tr>
        <tr>
            <td align="center">
                <cc1:ChartCustomControl ID="ChartCustomControl1" runat="server" AxisLabelFont="Verdana, 14pt"
        BackColor="LemonChiffon" DataSourceID="SqlDataSource1"
        Height="500px" IDField="EmployeeID" LabelsFont="Verdana, 8pt" LegendFont="Verdana, 11pt"
        Type="UserDrawnBars" Width="700px" ZValue="0.2" BorderColor="Gainsboro" BorderStyle="None" BorderWidth="5px" donutHole="0.5" EllementOpacity="200" Explosion="0" ShadowOffsetX="50" ShadowOffsetY="-30" OnChartClick="ChartCustomControl1_ChartClick">
                    <Legend>
                        <cc1:LegendItem str="1998" />
                        <cc1:LegendItem str="1997" />
                        <cc1:LegendItem str="1996" />
                    </Legend>
                    <GraphTitle>
Employee Sales</GraphTitle>
                    <UserImage>
~/ImageBars/Money.png</UserImage>
                    <YAxisLabel>
Amount</YAxisLabel>
                    <DataSeries>
                        <cc1:DataItem str="Total" />
                    </DataSeries>
                    <Colors>
                        <cc1:ColorItem color="Red" />
                        <cc1:ColorItem color="Lime" />
                        <cc1:ColorItem color="Blue" />
                        <cc1:ColorItem color="Yellow" />
                        <cc1:ColorItem color="Fuchsia" />
                        <cc1:ColorItem color="Cyan" />
                        <cc1:ColorItem color="255, 128, 0" />
                        <cc1:ColorItem color="GreenYellow" />
                    </Colors>
                    <XAxisLabel>
Employee Name</XAxisLabel>
                    <Labels>
Name</Labels>
                    <MapXML>
</MapXML>
                </cc1:ChartCustomControl>
            </td>
        </tr>
        <tr>
            <td align="center">
                Employee:
                <asp:DropDownList ID="DropDownList1" runat="server" DataSourceID="SqlDataSource1"
                    DataTextField="Name" DataValueField="EmployeeID">
                </asp:DropDownList>
                <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
                    SelectCommand="SELECT [FirstName], [LastName], [BirthDate], [HireDate], [Country], [City], [Address], [Title], [TitleOfCourtesy], [HomePhone], [Notes] FROM [Employees] WHERE ([EmployeeID] = @EmployeeID)">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="DropDownList1" Name="EmployeeID" PropertyName="SelectedValue"
                            Type="Int32" />
                    </SelectParameters>
                </asp:SqlDataSource>
                <asp:SqlDataSource ID="SqlDataSource3" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
                    SelectCommand="SELECT DATEPART(month, Orders.OrderDate) AS month, COUNT(Orders.OrderID) AS total FROM Employees INNER JOIN Orders ON Employees.EmployeeID = Orders.EmployeeID WHERE (Employees.EmployeeID = @EmployeeID) AND (DATEPART(year, Orders.OrderDate) = 1997) GROUP BY DATEPART(month, Orders.OrderDate)">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="DropDownList1" Name="EmployeeID" PropertyName="SelectedValue"
                            Type="Int32" />
                    </SelectParameters>
                </asp:SqlDataSource>
            </td>
        </tr>
        <tr>
            <td align="center">
                <table style="width: 100%">
                    <tr>
                        <td align="center">
                            <asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" BackColor="White"
                                BorderColor="#8080FF" BorderStyle="Solid" BorderWidth="1px" CellPadding="4" DataSourceID="SqlDataSource2"
                                Height="50px" Width="325px">
                                <FooterStyle BackColor="#FFFFCC" ForeColor="#330099" />
                                <EditRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="#663399" />
                                <RowStyle BackColor="White" ForeColor="#330099" />
                                <PagerStyle BackColor="#FFFFCC" ForeColor="#330099" HorizontalAlign="Center" />
                                <Fields>
                                    <asp:BoundField DataField="FirstName" HeaderText="FirstName" SortExpression="FirstName" />
                                    <asp:BoundField DataField="LastName" HeaderText="LastName" SortExpression="LastName" />
                                    <asp:BoundField DataField="BirthDate" HeaderText="BirthDate" SortExpression="BirthDate" />
                                    <asp:BoundField DataField="HireDate" HeaderText="HireDate" SortExpression="HireDate" />
                                    <asp:BoundField DataField="Country" HeaderText="Country" SortExpression="Country" />
                                    <asp:BoundField DataField="City" HeaderText="City" SortExpression="City" />
                                    <asp:BoundField DataField="Address" HeaderText="Address" SortExpression="Address" />
                                    <asp:BoundField DataField="Title" HeaderText="Title" SortExpression="Title" />
                                    <asp:BoundField DataField="TitleOfCourtesy" HeaderText="TitleOfCourtesy" SortExpression="TitleOfCourtesy" />
                                    <asp:BoundField DataField="HomePhone" HeaderText="HomePhone" SortExpression="HomePhone" />
                                    <asp:BoundField DataField="Notes" HeaderText="Notes" SortExpression="Notes" />
                                </Fields>
                                <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="#FFFFCC" />
                            </asp:DetailsView>
                        </td>
                        <td align="center">
                            <cc1:ChartCustomControl ID="ChartCustomControl2" runat="server" AxisLabelFont="Verdana, 10pt"
        BackColor="LemonChiffon" DataSourceID="SqlDataSource3"
        Height="240px" IDField="" LabelsFont="Verdana, 6pt" LegendFont="Verdana, 11pt"
        Type="Surface" Width="320px" ZValue="0.2" BorderColor="Gainsboro" BorderStyle="None" BorderWidth="5px" donutHole="0.5" EllementOpacity="200" Explosion="0" ShadowOffsetX="50" ShadowOffsetY="-30" ChartTitleFont="Verdana, 13pt">
                                <Legend>
                                    <cc1:LegendItem str="1998" />
                                    <cc1:LegendItem str="1997" />
                                    <cc1:LegendItem str="1996" />
                                </Legend>
                                <GraphTitle>
Sales (1997)</GraphTitle>
                                <UserImage>
~/ImageBars/Money.png</UserImage>
                                <DataSeries>
                                    <cc1:DataItem str="Total" />
                                </DataSeries>
                                <Colors>
                                    <cc1:ColorItem color="Red" />
                                    <cc1:ColorItem color="Lime" />
                                    <cc1:ColorItem color="Blue" />
                                    <cc1:ColorItem color="Yellow" />
                                    <cc1:ColorItem color="Fuchsia" />
                                    <cc1:ColorItem color="Cyan" />
                                    <cc1:ColorItem color="255, 128, 0" />
                                    <cc1:ColorItem color="GreenYellow" />
                                </Colors>
                                <Labels>
month</Labels>
                                <YAxisLabel>
No Orders</YAxisLabel>
                                <XAxisLabel>
Month</XAxisLabel>
                                <MapXML>
</MapXML>
                            </cc1:ChartCustomControl>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td align="center">
            </td>
        </tr>
    </table>
    </form>
</asp:Content>

