<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="10.aspx.cs" Inherits="_1" Title="Untitled Page" %>

<%@ Register Assembly="ChartControl" Namespace="ChartControl" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>" SelectCommand="SELECT&#13;&#10;&#9;DATEPART(month, ShippedDate) as MonthNumber, DATENAME(month, ShippedDate) AS Month,&#13;&#10;     &#9;coalesce(SUM(CASE WHEN Year(ShippedDate) = 1997 THEN Subtotal END),0) AS 'Total1997',&#13;&#10;&#9;coalesce(SUM(CASE WHEN Year(ShippedDate) = 1998 THEN Subtotal END),0) AS 'Total1998',&#13;&#10;&#9;coalesce(SUM(CASE WHEN Year(ShippedDate) = 1996 THEN Subtotal END),0) AS 'Total1996'&#13;&#10;&#13;&#10;&#13;&#10;FROM [Summary of Sales by Year] &#13;&#10;GROUP BY DATEName(month, ShippedDate),  DATEPART(month, ShippedDate)&#13;&#10;order by DATEPART(month, ShippedDate)"></asp:SqlDataSource>
    &nbsp;&nbsp;
    <cc1:ChartCustomControl ID="ChartCustomControl1" runat="server" AxisLabelFont="Verdana, 14pt"
        BackColor="LightGray" DataSourceID="SqlDataSource1"
        Height="600px" IDField="MonthNumber" LabelsFont="Verdana, 8pt" LegendFont="Verdana, 11pt"
        Type="UserDrawnBars" Width="700px" ZValue="0.35" donutHole="0.5" EllementOpacity="200" Explosion="0" ShadowOffsetX="10" ShadowOffsetY="-10" EllementSpacing="0.5">
        <DataSeries>
            <cc1:DataItem str="Total1997" />
        </DataSeries>
        <Colors>
            <cc1:ColorItem color="Red" />
            <cc1:ColorItem color="Lime" />
            <cc1:ColorItem color="Blue" />
            <cc1:ColorItem color="Yellow" />
            <cc1:ColorItem color="Purple" />
            <cc1:ColorItem color="Fuchsia" />
        </Colors>
        <Legend>
            <cc1:LegendItem str="1998" />
            <cc1:LegendItem str="1997" />
            <cc1:LegendItem str="1996" />
        </Legend>
        <GraphTitle>
Monthly Sales in 1997</GraphTitle>
        <Labels>
Month</Labels>
        <UserImage>
~/ImageBars/Pen2.png</UserImage>
        <YAxisLabel>
Sales</YAxisLabel>
        <XAxisLabel>
Month</XAxisLabel>
        <MapXML>
</MapXML>
    </cc1:ChartCustomControl>
</asp:Content>

