<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="20.aspx.cs" Inherits="_1" Title="Untitled Page" %>

<%@ Register Assembly="ChartControl" Namespace="ChartControl" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>" SelectCommand="SELECT     DatePart(month, OrderDate), DateName(month, OrderDate) as Month, COUNT(CASE WHEN Region = 'WY' THEN 1 END) AS WY, &#13;&#10;                      COUNT(CASE WHEN Region = 'WA' THEN 1 END) AS WA, COUNT(CASE WHEN Region = 'SP' THEN 1 END) AS SP, &#13;&#10;                      COUNT(CASE WHEN Region = 'RJ' THEN 1 END) AS RJ, COUNT(CASE WHEN Region = 'OR' THEN 1 END) AS [OR], &#13;&#10;                      COUNT(CASE WHEN Region = 'NM' THEN 1 END) AS NM, COUNT(CASE WHEN Region = 'MT' THEN 1 END) AS MT, &#13;&#10;                      COUNT(CASE WHEN Region = 'ID' THEN 1 END) AS ID, COUNT(CASE WHEN Region = 'CA ' THEN 1 END) AS CA, &#13;&#10;                      COUNT(CASE WHEN Region = ' BC ' THEN 1 END) AS BC, COUNT(CASE WHEN Region = ' AK ' THEN 1 END) AS AK&#13;&#10;FROM         Customers INNER JOIN&#13;&#10;                      Orders ON Customers.CustomerID = Orders.CustomerID&#13;&#10;WHERE     DatePart(year, OrderDate) = 1997&#13;&#10;GROUP BY DatePart(month, OrderDate), DateName(month, OrderDate)&#13;&#10;ORDER BY DatePart(month, OrderDate)"></asp:SqlDataSource>
    &nbsp;
    <cc1:ChartCustomControl ID="ChartCustomControl1" runat="server" AxisLabelFont="Verdana, 14pt"
        BackColor="Silver" DataSourceID="SqlDataSource1"
        Height="500px" IDField="" LabelsFont="Verdana, 8pt" LegendFont="Verdana, 11pt"
        Type="StackedBars3DFull" Width="700px" ZValue="0.7" BorderColor="Gainsboro" BorderStyle="None" BorderWidth="5px" donutHole="0.5" EllementOpacity="200" Explosion="0" ShadowOffsetX="10" ShadowOffsetY="-10" LightEffectOpacity="0.2" LightEffect="9">
        <DataSeries>
            <cc1:DataItem str="WA" />
            <cc1:DataItem str="SP" />
            <cc1:DataItem str="RJ" />
            <cc1:DataItem str="ID" />
            <cc1:DataItem str="WY" />
            <cc1:DataItem str="OR" />
            <cc1:DataItem str="NM" />
            <cc1:DataItem str="MT" />
            <cc1:DataItem str="CA" />
        </DataSeries>
        <Colors>
            <cc1:ColorItem color="Yellow" />
            <cc1:ColorItem color="Blue" />
            <cc1:ColorItem color="Lime" />
            <cc1:ColorItem color="Red" />
            <cc1:ColorItem color="Fuchsia" />
            <cc1:ColorItem color="Cyan" />
            <cc1:ColorItem color="255, 128, 0" />
            <cc1:ColorItem color="RoyalBlue" />
            <cc1:ColorItem color="PaleVioletRed" />
        </Colors>
        <GraphTitle>
1997 US Orders Repartition</GraphTitle>
        <UserImage>
~/ImageBars/Money.png</UserImage>
        <YAxisLabel>
Orders</YAxisLabel>
        <XAxisLabel>
Month</XAxisLabel>
        <Labels>
Month</Labels>
        <Legend>
            <cc1:LegendItem str="WA" />
            <cc1:LegendItem str="SP" />
            <cc1:LegendItem str="RJ" />
            <cc1:LegendItem str="ID" />
            <cc1:LegendItem str="WY" />
            <cc1:LegendItem str="OR" />
            <cc1:LegendItem str="NM" />
            <cc1:LegendItem str="MT" />
            <cc1:LegendItem str="CA" />
        </Legend>
        <MapXML>
</MapXML>
    </cc1:ChartCustomControl>
</asp:Content>

