<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Complex1.aspx.cs" Inherits="Complex" Title="Untitled Page" %>

<%@ Register Assembly="ChartControl" Namespace="ChartControl" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
<form id="form1" runat="server">
    &nbsp;
    <table style="width: 100%">
        <tr>
            <td align="center" colspan="2">
                When you click on a column in the big chart the DropDown List and the other two
                charts update to reflect the selected employee.&nbsp;</td>
        </tr>
        <tr>
            <td align="center" colspan="2">
                &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;
                &nbsp; &nbsp;
                &nbsp;&nbsp;</td>
        </tr>
        <tr>
            <td align="center" colspan="2">
                Employee Details:
                <asp:DropDownList ID="DDEmployees" runat="server" DataSourceID="DSEmployeeNames"
                    DataTextField="Name" DataValueField="EmployeeID" Width="186px" AutoPostBack="True">
                </asp:DropDownList>
                <asp:SqlDataSource ID="DSEmployeeNames" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>" SelectCommand="SELECT EmployeeID, FirstName + ' ' + LastName AS Name FROM Employees">
                </asp:SqlDataSource>
            </td>
        </tr>
        <tr>
            <td>
                &nbsp;
                <cc1:ChartCustomControl ID="ChartCustomControl2" runat="server" AxisLabelFont="Verdana, 8pt"
                    BackColor="White" ChartTitleFont="Verdana, 12pt" DataSourceID="DSEmployeeYear"
                    donutHole="0.8" EllementOpacity="200" EllementSpacing="0" Explosion="0.05" Height="240px"
                    IDField="" LabelsFont="Verdana, 8pt" LegendFont="Verdana, 8.25pt" ShadowOffsetX="5"
                    ShadowOffsetY="15" Type="Exploded3DDonut" Width="320px" ZValue="5" Visible="False">
                    <GraphTitle>
Sales of the selected Empl.</GraphTitle>
                    <DataSeries>
                        <cc1:DataItem str="Total" />
                    </DataSeries>
                    <Colors>
                        <cc1:ColorItem color="Red" />
                        <cc1:ColorItem color="Lime" />
                        <cc1:ColorItem color="Blue" />
                    </Colors>
                    <Labels>
Year</Labels>
                    <UserImage>
</UserImage>
                    <MapXML>
</MapXML>
                </cc1:ChartCustomControl>
                &nbsp;
            </td>
            <td>
                &nbsp;
                <cc1:ChartCustomControl ID="ChartCustomControl3" runat="server" BackColor="#BBBBBB"
                    ChartTitleFont="Verdana, 8pt, style=Bold"
                    Height="240px" Width="320px" ZValue="0.8" AxisLabelFont="Verdana, 0.1pt" DataSourceID="SqlDataSource1" IDField="" LabelsFont="Verdana, 8pt" LegendFont="Verdana, 11pt" Visible="False">
                    <GraphTitle>
Sales of the Empl. (1997)</GraphTitle>
                    <DataSeries>
                        <cc1:DataItem str="No" />
                    </DataSeries>
                    <Colors>
                        <cc1:ColorItem color="Yellow" />
                        <cc1:ColorItem color="Red" />
                        <cc1:ColorItem color="Lime" />
                        <cc1:ColorItem color="Blue" />
                        <cc1:ColorItem color="Purple" />
                        <cc1:ColorItem color="Fuchsia" />
                    </Colors>
                    <Labels>
Month</Labels>
                    <UserImage>
</UserImage>
                    <YAxisLabel>
 </YAxisLabel>
                    <XAxisLabel>
 </XAxisLabel>
                    <MapXML>
</MapXML>
                </cc1:ChartCustomControl>
            </td>
        </tr>
        <tr>
            <td><asp:SqlDataSource ID="DSEmployeeYear" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>" SelectCommand="SELECT COUNT(Orders.OrderID) AS Total, DATEPART(year, Orders.OrderDate) AS year, Employees.LastName FROM Orders INNER JOIN Employees ON Orders.EmployeeID = Employees.EmployeeID WHERE (Employees.EmployeeID = @Param1) GROUP BY DATEPART(year, Orders.OrderDate), Employees.LastName">
                <SelectParameters>
                    <asp:ControlParameter ControlID="DDEmployees" Name="Param1" PropertyName="SelectedValue" />
                </SelectParameters>
            </asp:SqlDataSource>
            </td>
            <td>
                <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
                    SelectCommand="SELECT COUNT(Orders.OrderID) AS No, DATEPART(month, Orders.OrderDate) AS Month FROM Orders INNER JOIN Employees ON Orders.EmployeeID = Employees.EmployeeID WHERE (Orders.EmployeeID = @Param1) AND (DATEPART(year, Orders.OrderDate) = 1997) GROUP BY DATEPART(month, Orders.OrderDate)">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="DDEmployees" Name="Param1" PropertyName="SelectedValue" />
                    </SelectParameters>
                </asp:SqlDataSource>
            </td>
        </tr>
        <tr>
            <td align="center" colspan="2">
                <cc1:ChartCustomControl ID="ChartCustomControl1" runat="server" AxisLabelFont="Verdana, 9.75pt"
                    BackColor="#BBBBBB" ChartTitleFont="Verdana, 14.25pt" DataSourceID="DSEmployeesTotal"
                    donutHole="0" Explosion="0" Height="480px" IDField="EmployeeID" LabelsFont="Verdana, 8pt"
                    LegendFont="Verdana, 11pt" LightEffect="8" LightEffectOpacity="0.5" OnChartClick="ChartCustomControl1_ChartClick"
                    Width="640px">
                    <GraphTitle>
Employee Contracts</GraphTitle>
                    <DataSeries>
                        <cc1:DataItem str="No" />
                    </DataSeries>
                    <Colors>
                        <cc1:ColorItem color="Blue" />
                    </Colors>
                    <Labels>
LastName</Labels>
                    <UserImage>
</UserImage>
                    <YAxisLabel>
Sales</YAxisLabel>
                    <XAxisLabel>
Employee</XAxisLabel>
                    <MapXML>
</MapXML>
                </cc1:ChartCustomControl>
                &nbsp;<asp:SqlDataSource ID="DSEmployeesTotal" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
                    SelectCommand="SELECT COUNT(Orders.OrderID) AS No, Employees.EmployeeID, Employees.LastName FROM Orders INNER JOIN Employees ON Orders.EmployeeID = Employees.EmployeeID GROUP BY Employees.EmployeeID, Employees.LastName">
                </asp:SqlDataSource>
            </td>
        </tr>
    </table>

</form>
</asp:Content>

