<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Complex2.aspx.cs" Inherits="_1" Title="Untitled Page" %>

<%@ Register Assembly="ChartControl" Namespace="ChartControl" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <form runat="server" id="form1">
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>" SelectCommand="SELECT top 35 SaleAmount, CompanyName, OrderID FROM [Sales Totals by Amount] ORDER BY SaleAmount desc"></asp:SqlDataSource>
    &nbsp; &nbsp;
    <table style="width: 100%">
        <tr>
            <td align="center">
                Click on a column and the Order details will appear below.</td>
        </tr>
        <tr>
            <td align="center">
    <cc1:ChartCustomControl ID="ChartCustomControl1" runat="server" AxisLabelFont="Verdana, 14pt"
        BackColor="WhiteSmoke" ChartTitleFont="Verdana, 20pt" DataSourceID="SqlDataSource1"
        EllementOpacity="200" Height="640px" IDField="OrderID" LabelsFont="Verdana, 6pt" LegendFont="Verdana, 11pt"
        Width="720px" ZValue="0.8" EllementSpacing="0.6" OnChartClick="ChartCustomControl1_ChartClick">
        <DataSeries>
            <cc1:DataItem str="SaleAmount" />
        </DataSeries>
        <Colors>
            <cc1:ColorItem color="Blue" />
        </Colors>
        <Labels>
CompanyName</Labels>
        <GraphTitle>
Top 30 Sales</GraphTitle>
        <YAxisLabel>
Amount</YAxisLabel>
        <XAxisLabel>
Company</XAxisLabel>
        <UserImage>
</UserImage>
        <MapXML>
</MapXML>
    </cc1:ChartCustomControl>
            </td>
        </tr>
        <tr>
            <td align="center">
                <asp:DropDownList ID="DropDownList1" runat="server" DataSourceID="SqlDataSource1" DataTextField="CompanyName" DataValueField="OrderID">
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td align="center">
                <asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" BackColor="White"
                    BorderColor="#8080FF" BorderStyle="Solid" BorderWidth="1px" CellPadding="4" DataSourceID="SqlDataSource2"
                    Height="50px" Width="411px">
                    <FooterStyle BackColor="#FFFFCC" ForeColor="#330099" />
                    <EditRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="#663399" />
                    <RowStyle BackColor="White" ForeColor="#330099" />
                    <PagerStyle BackColor="#FFFFCC" ForeColor="#330099" HorizontalAlign="Center" />
                    <Fields>
                        <asp:BoundField DataField="OrderDate" HeaderText="OrderDate" SortExpression="OrderDate" />
                        <asp:BoundField DataField="RequiredDate" HeaderText="RequiredDate" SortExpression="RequiredDate" />
                        <asp:BoundField DataField="CompanyName" HeaderText="CompanyName" SortExpression="CompanyName" />
                        <asp:BoundField DataField="Region" HeaderText="Region" SortExpression="Region" />
                        <asp:BoundField DataField="City" HeaderText="City" SortExpression="City" />
                    </Fields>
                    <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="#FFFFCC" />
                </asp:DetailsView>
                <br />
                &nbsp;<asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
                    SelectCommand="SELECT Orders.OrderDate, Orders.RequiredDate, Customers.CompanyName, Customers.Region, Customers.City FROM Orders INNER JOIN Customers ON Orders.CustomerID = Customers.CustomerID WHERE (Orders.OrderID = @Param1)">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="DropDownList1" Name="Param1" PropertyName="SelectedValue" />
                    </SelectParameters>
                </asp:SqlDataSource>
            </td>
        </tr>
    </table>
    </form>
</asp:Content>

