<%@ Page Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Complex3.aspx.cs" Inherits="_1" Title="Untitled Page" %>

<%@ Register Assembly="ChartControl" Namespace="ChartControl" TagPrefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <form runat="server" id="form1">
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>" SelectCommand="SELECT     DatePart(month, OrderDate), DateName(month, OrderDate) as Month, COUNT(CASE WHEN Region = 'WY' THEN 1 END) AS WY, &#13;&#10;                      COUNT(CASE WHEN Region = 'WA' THEN 1 END) AS WA, COUNT(CASE WHEN Region = 'SP' THEN 1 END) AS SP, &#13;&#10;                      COUNT(CASE WHEN Region = 'RJ' THEN 1 END) AS RJ, COUNT(CASE WHEN Region = 'OR' THEN 1 END) AS [OR], &#13;&#10;                      COUNT(CASE WHEN Region = 'NM' THEN 1 END) AS NM, COUNT(CASE WHEN Region = 'MT' THEN 1 END) AS MT, &#13;&#10;                      COUNT(CASE WHEN Region = 'ID' THEN 1 END) AS ID, COUNT(CASE WHEN Region = 'CA ' THEN 1 END) AS CA, &#13;&#10;                      COUNT(CASE WHEN Region = ' BC ' THEN 1 END) AS BC, COUNT(CASE WHEN Region = ' AK ' THEN 1 END) AS AK&#13;&#10;FROM         Customers INNER JOIN&#13;&#10;                      Orders ON Customers.CustomerID = Orders.CustomerID&#13;&#10;WHERE     DatePart(year, OrderDate) = 1997&#13;&#10;GROUP BY DatePart(month, OrderDate), DateName(month, OrderDate)&#13;&#10;ORDER BY DatePart(month, OrderDate)"></asp:SqlDataSource>
    &nbsp; &nbsp;
    <table style="width: 100%">
        <tr>
            <td align="center">
                Click on a month/state combination and below will apear the order details for that
                cathegory.</td>
        </tr>
        <tr>
            <td align="center">
    <cc1:ChartCustomControl ID="ChartCustomControl1" runat="server" AxisLabelFont="Verdana, 14pt"
        BackColor="Silver" DataSourceID="SqlDataSource1"
        Height="500px" IDField="Column1" LabelsFont="Verdana, 8pt" LegendFont="Verdana, 11pt"
        Type="StackedBars3D" Width="700px" ZValue="0.4" BorderColor="Gainsboro" BorderStyle="None" BorderWidth="5px" donutHole="0.5" EllementOpacity="200" Explosion="0" ShadowOffsetX="10" ShadowOffsetY="-10" LightEffectOpacity="0.2" LightEffect="6" OnChartClick="ChartCustomControl1_ChartClick">
        <DataSeries>
            <cc1:DataItem str="WA" />
            <cc1:DataItem str="SP" />
            <cc1:DataItem str="RJ" />
            <cc1:DataItem str="ID" />
            <cc1:DataItem str="WY" />
            <cc1:DataItem str="OR" />
            <cc1:DataItem str="NM" />
            <cc1:DataItem str="MT" />
            <cc1:DataItem str="CA" />
        </DataSeries>
        <Colors>
            <cc1:ColorItem color="Yellow" />
            <cc1:ColorItem color="Blue" />
            <cc1:ColorItem color="Lime" />
            <cc1:ColorItem color="Red" />
            <cc1:ColorItem color="Fuchsia" />
            <cc1:ColorItem color="Cyan" />
            <cc1:ColorItem color="255, 128, 0" />
            <cc1:ColorItem color="RoyalBlue" />
            <cc1:ColorItem color="PaleVioletRed" />
        </Colors>
        <GraphTitle>
Numer of US Orders (1997)</GraphTitle>
        <UserImage>
~/ImageBars/Money.png</UserImage>
        <YAxisLabel>
Orders</YAxisLabel>
        <XAxisLabel>
Month</XAxisLabel>
        <Labels>
Month</Labels>
        <Legend>
            <cc1:LegendItem str="WA" />
            <cc1:LegendItem str="SP" />
            <cc1:LegendItem str="RJ" />
            <cc1:LegendItem str="ID" />
            <cc1:LegendItem str="WY" />
            <cc1:LegendItem str="OR" />
            <cc1:LegendItem str="NM" />
            <cc1:LegendItem str="MT" />
            <cc1:LegendItem str="CA" />
        </Legend>
        <MapXML>
</MapXML>
    </cc1:ChartCustomControl>
            </td>
        </tr>
        <tr>
            <td align="center">
            </td>
        </tr>
        <tr>
            <td align="center">
                Month:<asp:DropDownList ID="DropDownList1" runat="server" DataSourceID="SqlDataSource1"
                    DataTextField="Month" DataValueField="Month">
                </asp:DropDownList>&nbsp; State:<asp:DropDownList ID="DropDownList2" runat="server">
                    <asp:ListItem>WA</asp:ListItem>
                    <asp:ListItem>SP</asp:ListItem>
                    <asp:ListItem>RJ</asp:ListItem>
                    <asp:ListItem>ID</asp:ListItem>
                    <asp:ListItem>WY</asp:ListItem>
                    <asp:ListItem>OR</asp:ListItem>
                    <asp:ListItem>NM</asp:ListItem>
                    <asp:ListItem>MT</asp:ListItem>
                    <asp:ListItem>CA</asp:ListItem>
                </asp:DropDownList>
                <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
                    SelectCommand="SELECT Customers.Region, Orders.OrderDate, Customers.CompanyName, Customers.Address, Customers.City, Customers.Country, Customers.Phone, Customers.Fax FROM Orders INNER JOIN Customers ON Orders.CustomerID = Customers.CustomerID WHERE (DATEPART(year, Orders.OrderDate) = 1997) AND (DATEName(month, Orders.OrderDate) = @month) AND (Customers.Region = @region)">
                    <SelectParameters>
                        <asp:ControlParameter ControlID="DropDownList1" Name="month" PropertyName="SelectedValue" />
                        <asp:ControlParameter ControlID="DropDownList2" Name="region" PropertyName="SelectedValue" />
                    </SelectParameters>
                </asp:SqlDataSource>
            </td>
        </tr>
        <tr>
            <td align="center">
                <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AllowSorting="True"
                    AutoGenerateColumns="False" CellPadding="4" DataSourceID="SqlDataSource2" ForeColor="#333333"
                    GridLines="None" Width="725px">
                    <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                    <Columns>
                        <asp:BoundField DataField="CompanyName" HeaderText="CompanyName" SortExpression="CompanyName" />
                        <asp:BoundField DataField="Address" HeaderText="Address" SortExpression="Address" />
                        <asp:BoundField DataField="City" HeaderText="City" SortExpression="City" />
                        <asp:BoundField DataField="Country" HeaderText="Country" SortExpression="Country" />
                        <asp:BoundField DataField="Phone" HeaderText="Phone" SortExpression="Phone" />
                        <asp:BoundField DataField="Fax" HeaderText="Fax" SortExpression="Fax" />
                    </Columns>
                    <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                    <EditRowStyle BackColor="#999999" />
                    <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
                    <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                    <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
                    <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
                </asp:GridView>
            </td>
        </tr>
        <tr>
            <td align="center">
            </td>
        </tr>
    </table>
    </form>
</asp:Content>

